Subject: fritzing: database problem

From: Christopher Howard <[email-masked]>
Date: Tue, 13 Jun 2023 09:59:31 -0800

Hello. I am trying to explore the program Fritzing for the first time, so maybe there is something I've failed to do on my end. But when I start Fritzing, I immediately get a pop-up error:

```
Sorry, we have a problem with the swapping mechanism.
Fritzing still works, but you won't be able to change parts properties.Error 1
```

And I see in the program that it is not possible to change the properties of parts (e.g., the value of a resistor). And the terminal, I see the following errors:

```
QSqlDatabasePrivate::removeDatabase: connection 'qt_sql_default_connection' is still in use, all queries will cease to work.
QSqlDatabasePrivate::addDatabase: duplicate connection name 'qt_sql_default_connection', old connection removed.
QSqlDatabasePrivate::removeDatabase: connection 'qt_sql_default_connection' is still in use, all queries will cease to work.
QSqlDatabasePrivate::addDatabase: duplicate connection name 'qt_sql_default_connection', old connection removed.
libpng warning: iCCP: known incorrect sRGB profile
libpng warning: iCCP: known incorrect sRGB profile
QSqlQuery::prepare: database not open
QSqlQuery::prepare: database not open
QSqlQuery::prepare: database not open
QSqlQuery::prepare: database not open
QSqlQuery::prepare: database not open
QSqlQuery::prepare: database not open
```

And the last message continues to be repeated.

To make sure I had the latest Guix package, I ran Fritzing again in a shell with

```
guix time-machine -- shell fritzing
```

But I get the same problem.

Here is my system information:

```
christopher@theoden 
------------------- 
OS: Guix System x86_64 
Host: OptiPlex 9020 00 
Kernel: 5.15.112-gnu 
Uptime: 20 days, 3 hours, 42 mins 
Packages: 93 (guix-system), 191 (guix-user) 
Shell: bash 5.1.16 
Resolution: 1920x1080 
DE: GNOME 
Theme: Adwaita [GTK2/3] 
Icons: Adwaita [GTK2/3] 
Terminal: shepherd 
CPU: Intel i5-4570 (4) @ 3.600GHz 
GPU: AMD ATI Radeon HD 8490 / R5 235X OEM 
GPU: Intel HD Graphics 
Memory: 3550MiB / 7867MiB 
```

-- 
📛 Christopher Howard
🚀 gemini://gem.librehacker.com
🌐 http://gem.librehacker.com

בראשית ברא אלהים את השמים ואת הארץ